### Enumeration

# AppStream LaunchableKind

#### Declaration

    enum AppStream.LaunchableKind

#### Description [src]

Type of launch system the entries belong to.

#### Members

`AS_LAUNCHABLE_KIND_UNKNOWN`

  Unknown kind.

  - Value: `0`
  - Available since: 1.0
`AS_LAUNCHABLE_KIND_DESKTOP_ID`

  Launch by desktop-id.

  - Value: `1`
  - Available since: 1.0
`AS_LAUNCHABLE_KIND_SERVICE`

  A systemd/SysV-init service name.

  - Value: `2`
  - Available since: 1.0
`AS_LAUNCHABLE_KIND_COCKPIT_MANIFEST`

  A Cockpit manifest / package name.

  - Value: `3`
  - Available since: 1.0
`AS_LAUNCHABLE_KIND_URL`

  A web HTTPS URL to launch a web application from.

  - Value: `4`
  - Available since: 1.0

#### Type functions

###### as_launchable_kind_from_string

Converts the text representation to an enumerated value.

since: 0.11.0

###### as_launchable_kind_to_string

Converts the enumerated value to a text representation.

since: 0.11.0